Index: /XIOS/trunk/src/interface/fortran_attr/context_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/context_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/context_interface_attr.f90	(revision 432)
@@ -23,4 +23,10 @@
     END SUBROUTINE cxios_get_context_calendar_type
     
+    FUNCTION cxios_is_defined_context_calendar_type(context_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_calendar_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_calendar_type
+    
     
     SUBROUTINE cxios_set_context_output_dir(context_hdl, output_dir, output_dir_size) BIND(C)
@@ -37,4 +43,10 @@
       INTEGER  (kind = C_INT)     , VALUE        :: output_dir_size
     END SUBROUTINE cxios_get_context_output_dir
+    
+    FUNCTION cxios_is_defined_context_output_dir(context_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_output_dir
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_output_dir
     
     
@@ -53,4 +65,10 @@
     END SUBROUTINE cxios_get_context_start_date
     
+    FUNCTION cxios_is_defined_context_start_date(context_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_start_date
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_start_date
+    
     
     SUBROUTINE cxios_set_context_time_origin(context_hdl, time_origin, time_origin_size) BIND(C)
@@ -67,4 +85,10 @@
       INTEGER  (kind = C_INT)     , VALUE        :: time_origin_size
     END SUBROUTINE cxios_get_context_time_origin
+    
+    FUNCTION cxios_is_defined_context_time_origin(context_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_time_origin
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_time_origin
     
     
@@ -83,4 +107,10 @@
     END SUBROUTINE cxios_get_context_timestep
     
+    FUNCTION cxios_is_defined_context_timestep(context_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_context_timestep
+      INTEGER (kind = C_INTPTR_T), VALUE :: context_hdl
+    END FUNCTION cxios_is_defined_context_timestep
+    
     
     END INTERFACE
Index: /XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.f90	(revision 432)
@@ -21,4 +21,10 @@
     END SUBROUTINE cxios_get_domain_data_dim
     
+    FUNCTION cxios_is_defined_domain_data_dim(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_data_dim
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_data_dim
+    
     
     SUBROUTINE cxios_set_domain_data_i_index(domain_hdl, data_i_index, extent1) BIND(C)
@@ -35,4 +41,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent1
     END SUBROUTINE cxios_get_domain_data_i_index
+    
+    FUNCTION cxios_is_defined_domain_data_i_index(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_data_i_index
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_data_i_index
     
     
@@ -49,4 +61,10 @@
     END SUBROUTINE cxios_get_domain_data_ibegin
     
+    FUNCTION cxios_is_defined_domain_data_ibegin(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_data_ibegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_data_ibegin
+    
     
     SUBROUTINE cxios_set_domain_data_j_index(domain_hdl, data_j_index, extent1) BIND(C)
@@ -63,4 +81,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent1
     END SUBROUTINE cxios_get_domain_data_j_index
+    
+    FUNCTION cxios_is_defined_domain_data_j_index(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_data_j_index
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_data_j_index
     
     
@@ -77,4 +101,10 @@
     END SUBROUTINE cxios_get_domain_data_jbegin
     
+    FUNCTION cxios_is_defined_domain_data_jbegin(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_data_jbegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_data_jbegin
+    
     
     SUBROUTINE cxios_set_domain_data_n_index(domain_hdl, data_n_index) BIND(C)
@@ -90,4 +120,10 @@
     END SUBROUTINE cxios_get_domain_data_n_index
     
+    FUNCTION cxios_is_defined_domain_data_n_index(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_data_n_index
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_data_n_index
+    
     
     SUBROUTINE cxios_set_domain_data_ni(domain_hdl, data_ni) BIND(C)
@@ -103,4 +139,10 @@
     END SUBROUTINE cxios_get_domain_data_ni
     
+    FUNCTION cxios_is_defined_domain_data_ni(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_data_ni
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_data_ni
+    
     
     SUBROUTINE cxios_set_domain_data_nj(domain_hdl, data_nj) BIND(C)
@@ -115,4 +157,10 @@
       INTEGER (KIND=C_INT)             :: data_nj
     END SUBROUTINE cxios_get_domain_data_nj
+    
+    FUNCTION cxios_is_defined_domain_data_nj(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_data_nj
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_data_nj
     
     
@@ -131,4 +179,10 @@
     END SUBROUTINE cxios_get_domain_domain_group_ref
     
+    FUNCTION cxios_is_defined_domain_domain_group_ref(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_domain_group_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_domain_group_ref
+    
     
     SUBROUTINE cxios_set_domain_ibegin(domain_hdl, ibegin) BIND(C)
@@ -144,4 +198,10 @@
     END SUBROUTINE cxios_get_domain_ibegin
     
+    FUNCTION cxios_is_defined_domain_ibegin(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_ibegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_ibegin
+    
     
     SUBROUTINE cxios_set_domain_iend(domain_hdl, iend) BIND(C)
@@ -157,4 +217,10 @@
     END SUBROUTINE cxios_get_domain_iend
     
+    FUNCTION cxios_is_defined_domain_iend(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_iend
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_iend
+    
     
     SUBROUTINE cxios_set_domain_jbegin(domain_hdl, jbegin) BIND(C)
@@ -170,4 +236,10 @@
     END SUBROUTINE cxios_get_domain_jbegin
     
+    FUNCTION cxios_is_defined_domain_jbegin(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_jbegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_jbegin
+    
     
     SUBROUTINE cxios_set_domain_jend(domain_hdl, jend) BIND(C)
@@ -183,4 +255,10 @@
     END SUBROUTINE cxios_get_domain_jend
     
+    FUNCTION cxios_is_defined_domain_jend(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_jend
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_jend
+    
     
     SUBROUTINE cxios_set_domain_latvalue(domain_hdl, latvalue, extent1) BIND(C)
@@ -197,4 +275,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent1
     END SUBROUTINE cxios_get_domain_latvalue
+    
+    FUNCTION cxios_is_defined_domain_latvalue(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_latvalue
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_latvalue
     
     
@@ -213,4 +297,10 @@
     END SUBROUTINE cxios_get_domain_long_name
     
+    FUNCTION cxios_is_defined_domain_long_name(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_long_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_long_name
+    
     
     SUBROUTINE cxios_set_domain_lonvalue(domain_hdl, lonvalue, extent1) BIND(C)
@@ -227,4 +317,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent1
     END SUBROUTINE cxios_get_domain_lonvalue
+    
+    FUNCTION cxios_is_defined_domain_lonvalue(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_lonvalue
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_lonvalue
     
     
@@ -244,4 +340,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_get_domain_mask
+    
+    FUNCTION cxios_is_defined_domain_mask(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_mask
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_mask
     
     
@@ -260,4 +362,10 @@
     END SUBROUTINE cxios_get_domain_name
     
+    FUNCTION cxios_is_defined_domain_name(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_name
+    
     
     SUBROUTINE cxios_set_domain_ni(domain_hdl, ni) BIND(C)
@@ -273,4 +381,10 @@
     END SUBROUTINE cxios_get_domain_ni
     
+    FUNCTION cxios_is_defined_domain_ni(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_ni
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_ni
+    
     
     SUBROUTINE cxios_set_domain_ni_glo(domain_hdl, ni_glo) BIND(C)
@@ -286,4 +400,10 @@
     END SUBROUTINE cxios_get_domain_ni_glo
     
+    FUNCTION cxios_is_defined_domain_ni_glo(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_ni_glo
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_ni_glo
+    
     
     SUBROUTINE cxios_set_domain_nj(domain_hdl, nj) BIND(C)
@@ -299,4 +419,10 @@
     END SUBROUTINE cxios_get_domain_nj
     
+    FUNCTION cxios_is_defined_domain_nj(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_nj
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_nj
+    
     
     SUBROUTINE cxios_set_domain_nj_glo(domain_hdl, nj_glo) BIND(C)
@@ -311,4 +437,10 @@
       INTEGER (KIND=C_INT)             :: nj_glo
     END SUBROUTINE cxios_get_domain_nj_glo
+    
+    FUNCTION cxios_is_defined_domain_nj_glo(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_nj_glo
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_nj_glo
     
     
@@ -327,4 +459,10 @@
     END SUBROUTINE cxios_get_domain_standard_name
     
+    FUNCTION cxios_is_defined_domain_standard_name(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_standard_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_standard_name
+    
     
     SUBROUTINE cxios_set_domain_zoom_ibegin(domain_hdl, zoom_ibegin) BIND(C)
@@ -340,4 +478,10 @@
     END SUBROUTINE cxios_get_domain_zoom_ibegin
     
+    FUNCTION cxios_is_defined_domain_zoom_ibegin(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_ibegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_zoom_ibegin
+    
     
     SUBROUTINE cxios_set_domain_zoom_ibegin_loc(domain_hdl, zoom_ibegin_loc) BIND(C)
@@ -353,4 +497,10 @@
     END SUBROUTINE cxios_get_domain_zoom_ibegin_loc
     
+    FUNCTION cxios_is_defined_domain_zoom_ibegin_loc(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_ibegin_loc
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_zoom_ibegin_loc
+    
     
     SUBROUTINE cxios_set_domain_zoom_jbegin(domain_hdl, zoom_jbegin) BIND(C)
@@ -366,4 +516,10 @@
     END SUBROUTINE cxios_get_domain_zoom_jbegin
     
+    FUNCTION cxios_is_defined_domain_zoom_jbegin(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_jbegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_zoom_jbegin
+    
     
     SUBROUTINE cxios_set_domain_zoom_jbegin_loc(domain_hdl, zoom_jbegin_loc) BIND(C)
@@ -379,4 +535,10 @@
     END SUBROUTINE cxios_get_domain_zoom_jbegin_loc
     
+    FUNCTION cxios_is_defined_domain_zoom_jbegin_loc(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_jbegin_loc
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_zoom_jbegin_loc
+    
     
     SUBROUTINE cxios_set_domain_zoom_ni(domain_hdl, zoom_ni) BIND(C)
@@ -392,4 +554,10 @@
     END SUBROUTINE cxios_get_domain_zoom_ni
     
+    FUNCTION cxios_is_defined_domain_zoom_ni(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_ni
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_zoom_ni
+    
     
     SUBROUTINE cxios_set_domain_zoom_ni_loc(domain_hdl, zoom_ni_loc) BIND(C)
@@ -405,4 +573,10 @@
     END SUBROUTINE cxios_get_domain_zoom_ni_loc
     
+    FUNCTION cxios_is_defined_domain_zoom_ni_loc(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_ni_loc
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_zoom_ni_loc
+    
     
     SUBROUTINE cxios_set_domain_zoom_nj(domain_hdl, zoom_nj) BIND(C)
@@ -418,4 +592,10 @@
     END SUBROUTINE cxios_get_domain_zoom_nj
     
+    FUNCTION cxios_is_defined_domain_zoom_nj(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_nj
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_zoom_nj
+    
     
     SUBROUTINE cxios_set_domain_zoom_nj_loc(domain_hdl, zoom_nj_loc) BIND(C)
@@ -430,4 +610,10 @@
       INTEGER (KIND=C_INT)             :: zoom_nj_loc
     END SUBROUTINE cxios_get_domain_zoom_nj_loc
+    
+    FUNCTION cxios_is_defined_domain_zoom_nj_loc(domain_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_zoom_nj_loc
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_zoom_nj_loc
     
     
Index: /XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.f90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.f90	(revision 432)
@@ -21,4 +21,10 @@
     END SUBROUTINE cxios_get_domaingroup_data_dim
     
+    FUNCTION cxios_is_defined_domaingroup_data_dim(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_data_dim
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_data_dim
+    
     
     SUBROUTINE cxios_set_domaingroup_data_i_index(domaingroup_hdl, data_i_index, extent1) BIND(C)
@@ -35,4 +41,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent1
     END SUBROUTINE cxios_get_domaingroup_data_i_index
+    
+    FUNCTION cxios_is_defined_domaingroup_data_i_index(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_data_i_index
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_data_i_index
     
     
@@ -49,4 +61,10 @@
     END SUBROUTINE cxios_get_domaingroup_data_ibegin
     
+    FUNCTION cxios_is_defined_domaingroup_data_ibegin(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_data_ibegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_data_ibegin
+    
     
     SUBROUTINE cxios_set_domaingroup_data_j_index(domaingroup_hdl, data_j_index, extent1) BIND(C)
@@ -63,4 +81,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent1
     END SUBROUTINE cxios_get_domaingroup_data_j_index
+    
+    FUNCTION cxios_is_defined_domaingroup_data_j_index(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_data_j_index
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_data_j_index
     
     
@@ -77,4 +101,10 @@
     END SUBROUTINE cxios_get_domaingroup_data_jbegin
     
+    FUNCTION cxios_is_defined_domaingroup_data_jbegin(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_data_jbegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_data_jbegin
+    
     
     SUBROUTINE cxios_set_domaingroup_data_n_index(domaingroup_hdl, data_n_index) BIND(C)
@@ -90,4 +120,10 @@
     END SUBROUTINE cxios_get_domaingroup_data_n_index
     
+    FUNCTION cxios_is_defined_domaingroup_data_n_index(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_data_n_index
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_data_n_index
+    
     
     SUBROUTINE cxios_set_domaingroup_data_ni(domaingroup_hdl, data_ni) BIND(C)
@@ -103,4 +139,10 @@
     END SUBROUTINE cxios_get_domaingroup_data_ni
     
+    FUNCTION cxios_is_defined_domaingroup_data_ni(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_data_ni
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_data_ni
+    
     
     SUBROUTINE cxios_set_domaingroup_data_nj(domaingroup_hdl, data_nj) BIND(C)
@@ -115,4 +157,10 @@
       INTEGER (KIND=C_INT)             :: data_nj
     END SUBROUTINE cxios_get_domaingroup_data_nj
+    
+    FUNCTION cxios_is_defined_domaingroup_data_nj(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_data_nj
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_data_nj
     
     
@@ -131,4 +179,10 @@
     END SUBROUTINE cxios_get_domaingroup_domain_group_ref
     
+    FUNCTION cxios_is_defined_domaingroup_domain_group_ref(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_domain_group_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_domain_group_ref
+    
     
     SUBROUTINE cxios_set_domaingroup_group_ref(domaingroup_hdl, group_ref, group_ref_size) BIND(C)
@@ -146,4 +200,10 @@
     END SUBROUTINE cxios_get_domaingroup_group_ref
     
+    FUNCTION cxios_is_defined_domaingroup_group_ref(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_group_ref
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_group_ref
+    
     
     SUBROUTINE cxios_set_domaingroup_ibegin(domaingroup_hdl, ibegin) BIND(C)
@@ -159,4 +219,10 @@
     END SUBROUTINE cxios_get_domaingroup_ibegin
     
+    FUNCTION cxios_is_defined_domaingroup_ibegin(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_ibegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_ibegin
+    
     
     SUBROUTINE cxios_set_domaingroup_iend(domaingroup_hdl, iend) BIND(C)
@@ -172,4 +238,10 @@
     END SUBROUTINE cxios_get_domaingroup_iend
     
+    FUNCTION cxios_is_defined_domaingroup_iend(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_iend
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_iend
+    
     
     SUBROUTINE cxios_set_domaingroup_jbegin(domaingroup_hdl, jbegin) BIND(C)
@@ -185,4 +257,10 @@
     END SUBROUTINE cxios_get_domaingroup_jbegin
     
+    FUNCTION cxios_is_defined_domaingroup_jbegin(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_jbegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_jbegin
+    
     
     SUBROUTINE cxios_set_domaingroup_jend(domaingroup_hdl, jend) BIND(C)
@@ -198,4 +276,10 @@
     END SUBROUTINE cxios_get_domaingroup_jend
     
+    FUNCTION cxios_is_defined_domaingroup_jend(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_jend
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_jend
+    
     
     SUBROUTINE cxios_set_domaingroup_latvalue(domaingroup_hdl, latvalue, extent1) BIND(C)
@@ -212,4 +296,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent1
     END SUBROUTINE cxios_get_domaingroup_latvalue
+    
+    FUNCTION cxios_is_defined_domaingroup_latvalue(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_latvalue
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_latvalue
     
     
@@ -228,4 +318,10 @@
     END SUBROUTINE cxios_get_domaingroup_long_name
     
+    FUNCTION cxios_is_defined_domaingroup_long_name(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_long_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_long_name
+    
     
     SUBROUTINE cxios_set_domaingroup_lonvalue(domaingroup_hdl, lonvalue, extent1) BIND(C)
@@ -242,4 +338,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent1
     END SUBROUTINE cxios_get_domaingroup_lonvalue
+    
+    FUNCTION cxios_is_defined_domaingroup_lonvalue(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_lonvalue
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_lonvalue
     
     
@@ -259,4 +361,10 @@
       INTEGER (kind = C_INT), VALUE  :: extent2
     END SUBROUTINE cxios_get_domaingroup_mask
+    
+    FUNCTION cxios_is_defined_domaingroup_mask(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_mask
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_mask
     
     
@@ -275,4 +383,10 @@
     END SUBROUTINE cxios_get_domaingroup_name
     
+    FUNCTION cxios_is_defined_domaingroup_name(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_name
+    
     
     SUBROUTINE cxios_set_domaingroup_ni(domaingroup_hdl, ni) BIND(C)
@@ -288,4 +402,10 @@
     END SUBROUTINE cxios_get_domaingroup_ni
     
+    FUNCTION cxios_is_defined_domaingroup_ni(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_ni
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_ni
+    
     
     SUBROUTINE cxios_set_domaingroup_ni_glo(domaingroup_hdl, ni_glo) BIND(C)
@@ -301,4 +421,10 @@
     END SUBROUTINE cxios_get_domaingroup_ni_glo
     
+    FUNCTION cxios_is_defined_domaingroup_ni_glo(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_ni_glo
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_ni_glo
+    
     
     SUBROUTINE cxios_set_domaingroup_nj(domaingroup_hdl, nj) BIND(C)
@@ -314,4 +440,10 @@
     END SUBROUTINE cxios_get_domaingroup_nj
     
+    FUNCTION cxios_is_defined_domaingroup_nj(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_nj
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_nj
+    
     
     SUBROUTINE cxios_set_domaingroup_nj_glo(domaingroup_hdl, nj_glo) BIND(C)
@@ -326,4 +458,10 @@
       INTEGER (KIND=C_INT)             :: nj_glo
     END SUBROUTINE cxios_get_domaingroup_nj_glo
+    
+    FUNCTION cxios_is_defined_domaingroup_nj_glo(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_nj_glo
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_nj_glo
     
     
@@ -342,4 +480,10 @@
     END SUBROUTINE cxios_get_domaingroup_standard_name
     
+    FUNCTION cxios_is_defined_domaingroup_standard_name(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_standard_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_standard_name
+    
     
     SUBROUTINE cxios_set_domaingroup_zoom_ibegin(domaingroup_hdl, zoom_ibegin) BIND(C)
@@ -355,4 +499,10 @@
     END SUBROUTINE cxios_get_domaingroup_zoom_ibegin
     
+    FUNCTION cxios_is_defined_domaingroup_zoom_ibegin(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_ibegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_zoom_ibegin
+    
     
     SUBROUTINE cxios_set_domaingroup_zoom_ibegin_loc(domaingroup_hdl, zoom_ibegin_loc) BIND(C)
@@ -368,4 +518,10 @@
     END SUBROUTINE cxios_get_domaingroup_zoom_ibegin_loc
     
+    FUNCTION cxios_is_defined_domaingroup_zoom_ibegin_loc(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_ibegin_loc
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_zoom_ibegin_loc
+    
     
     SUBROUTINE cxios_set_domaingroup_zoom_jbegin(domaingroup_hdl, zoom_jbegin) BIND(C)
@@ -381,4 +537,10 @@
     END SUBROUTINE cxios_get_domaingroup_zoom_jbegin
     
+    FUNCTION cxios_is_defined_domaingroup_zoom_jbegin(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_jbegin
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_zoom_jbegin
+    
     
     SUBROUTINE cxios_set_domaingroup_zoom_jbegin_loc(domaingroup_hdl, zoom_jbegin_loc) BIND(C)
@@ -394,4 +556,10 @@
     END SUBROUTINE cxios_get_domaingroup_zoom_jbegin_loc
     
+    FUNCTION cxios_is_defined_domaingroup_zoom_jbegin_loc(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_jbegin_loc
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_zoom_jbegin_loc
+    
     
     SUBROUTINE cxios_set_domaingroup_zoom_ni(domaingroup_hdl, zoom_ni) BIND(C)
@@ -407,4 +575,10 @@
     END SUBROUTINE cxios_get_domaingroup_zoom_ni
     
+    FUNCTION cxios_is_defined_domaingroup_zoom_ni(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_ni
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_zoom_ni
+    
     
     SUBROUTINE cxios_set_domaingroup_zoom_ni_loc(domaingroup_hdl, zoom_ni_loc) BIND(C)
@@ -420,4 +594,10 @@
     END SUBROUTINE cxios_get_domaingroup_zoom_ni_loc
     
+    FUNCTION cxios_is_defined_domaingroup_zoom_ni_loc(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_ni_loc
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_zoom_ni_loc
+    
     
     SUBROUTINE cxios_set_domaingroup_zoom_nj(domaingroup_hdl, zoom_nj) BIND(C)
@@ -433,4 +613,10 @@
     END SUBROUTINE cxios_get_domaingroup_zoom_nj
     
+    FUNCTION cxios_is_defined_domaingroup_zoom_nj(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_nj
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_zoom_nj
+    
     
     SUBROUTINE cxios_set_domaingroup_zoom_nj_loc(domaingroup_hdl, zoom_nj_loc) BIND(C)
@@ -445,4 +631,10 @@
       INTEGER (KIND=C_INT)             :: zoom_nj_loc
     END SUBROUTINE cxios_get_domaingroup_zoom_nj_loc
+    
+    FUNCTION cxios_is_defined_domaingroup_zoom_nj_loc(domaingroup_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_zoom_nj_loc
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_zoom_nj_loc
     
     
